/*
Copyright (c) 2018 Uber Technologies, Inc.

This source code is licensed under the MIT license found in the
LICENSE file in the root directory of this source tree.
*/
import React from 'react';
import { shallow } from 'enzyme';
import { StyledTable, StyledContent, StyledHead, StyledHeadCell, StyledBody, StyledRow, StyledCell } from '../index.js';
describe('Table styled components', function () {
  var styledComponents = [[StyledTable, 'StyledTable'], [StyledContent, 'StyledContent'], [StyledHead, 'StyledHead'], [StyledHeadCell, 'StyledHeadCell'], [StyledBody, 'StyledBody'], [StyledRow, 'StyledRow'], [StyledCell, 'StyledCell']];
  test.each(styledComponents)('default properties', function (Component, name) {
    var component = shallow(React.createElement(Component, null));
    expect(component.instance().getStyles()).toMatchSnapshot("".concat(name, " has expected default styles"));
  });
  test.each(styledComponents)('$width property', function (Component, name) {
    var component = shallow(React.createElement(Component, {
      $width: "1000px"
    }));
    expect(component.instance().getStyles()).toMatchSnapshot("".concat(name, " has expected styles when $width property defined"));
  });
});